! Calculeaza x din: LT*x =y
! Prin substitutie inapoi
! Matricea L - data de Cholesky; Vectorul 'y'->'b' dat de Forward
! 'x' stocat in 'b'
!
subroutine back(n,l,b)

real(4) l(n*(n+1)/2), b(n)
real(4) lki, lii

! i=n:
b(n) =b(n)/l(loca(n,n))

A_DO: do i =n-1,1,-1
xi =0.
	do k =i+1, n
	xk =b(k)
	lki =l(loca(k,i))
	xi =xi +lki*xk
	enddo
yi =b(i)
lii =l(loca(i,i))
xi =(yi -xi)/lii
b(i) =xi
ENDDO A_DO

END subroutine back

